Instalar Apache2, PHP5.6.7 y Postgres 9.4

8 envíos / 0 nuevos
Último envío
#1 Dom, 06/10/2019 - 22:29
PyD
Imagen de PyD
Desconectado/a
se unió: 06/10/19

Instalar Apache2, PHP5.6.7 y Postgres 9.4

Buenas. Amigos como hago para instalar en Debian 8.11.1 (i386) el Servidor web Apache2, PHP5.6.7 (apache2,libapache2-mod-php5,php5,php5-pgsql). Así como también el Gestor de base de datos Postgres 9.4 (postgresql-9.4,pgadmin3).

 

Instale en el Pc: debian-8.11.1-i386-DVD-1.iso

Lun, 07/10/2019 - 11:52
caliban
Imagen de caliban
Conectado
moderador
se unió: 14/01/16
aptitude update 
aptitude install <nombre de paquete >

Para mas informacion tenes un manual de referencia amplio desde el cual partir para saber o averiguar 

https://debian-handbook.info/browse/es-ES/stable/

 

Ahora el punto es ¿por que instalaste una versión tan vieja de debian ? 

Mié, 09/10/2019 - 09:02
PyD
Imagen de PyD
Desconectado/a
se unió: 06/10/19

Ahora el punto es ¿por que instalaste una versión tan vieja de debian ?

Gracias por responder caliban.

El motivo es porque el sistema web que tenemos  se ejecuta en esa versión del s.o., apache y bd sin inconvenientes, es por eso de usar esas versiones.

Gracias por tu respuesta.

Jue, 10/10/2019 - 14:53
PyD
Imagen de PyD
Desconectado/a
se unió: 06/10/19

hice esto:

aptitude update

aptitude install apache2  

y me da este mensaje:

# aptitude install apache2
No se instalará, actualizará o eliminará ningún paquete.
0 paquetes actualizados, 0 nuevos instalados, 0 para eliminar y 0 sin actualizar.
Necesito descargar 0 B de ficheros. Después de desempaquetar se usarán 0 B.

 

Nota: La instalación de Debian al Pc la hice desde el DVD debian-8.11.1-i386-DVD-1.iso

Jue, 10/10/2019 - 14:58
caliban
Imagen de caliban
Conectado
moderador
se unió: 14/01/16

Tendrás instalado ya eso , fijate buscando 

aptitude search apache2

Seguramente te dará un largo distando que incluye apache , pero solo un apache2   

Jue, 10/10/2019 - 15:04 (Responder a #5)
PyD
Imagen de PyD
Desconectado/a
se unió: 06/10/19

hice esto: apt-get install apache2 apache2-doc

y aparentemente se esta instalando.

 

Falso, era apache2-doc lo que estaba descargando.

Jue, 10/10/2019 - 15:15
PyD
Imagen de PyD
Desconectado/a
se unió: 06/10/19

aptitude search apache2

i   apache2                               - Apache HTTP Server                              
v   apache2-api-20120211                  -                                                 
i A apache2-bin                           - Apache HTTP Server (modules and other binary fil
i A apache2-data                          - Apache HTTP Server (common files)               
p   apache2-dbg                           - Apache debugging symbols                        
p   apache2-dev                           - Apache HTTP Server (development headers)        
i   apache2-doc                           - Apache HTTP Server (on-site documentation)      
p   apache2-mpm-event                     - transitional event MPM package for apache2      
p   apache2-mpm-itk                       - transitional itk MPM package for apache2        
p   apache2-mpm-prefork                   - transitional prefork MPM package for apache2    
p   apache2-mpm-worker                    - transitional worker MPM package for apache2     
v   apache2-prefork-dev                   -                                                 
p   apache2-suexec                        - transitional package for apache2-suexec-pristine
p   apache2-suexec-custom                 - Apache HTTP Server configurable suexec program f
p   apache2-suexec-pristine               - Apache HTTP Server standard suexec program for m
v   apache2-threaded-dev                  -                                                 
i A apache2-utils                         - Apache HTTP Server (utility programs for web ser
p   apache2.2-bin                         - Transitional package for apache2-bin            
p   apache2.2-common                      - Transitional package for apache2                
v   dh-apache2                            -                                                 

hay varios 

p   libapache2-authcassimple-perl         - Apache2 module to authenticate trough a CAS

 

que hacer ?

Jue, 10/10/2019 - 15:41
caliban
Imagen de caliban
Conectado
moderador
se unió: 14/01/16

En el listado ya te figura como instalado apache2   fijate que delante figura una  'i '

i   apache2                               - Apache HTTP Server  

Ahora solo te falta instalar el resto de los paquetes que mencionabas al inicio (podes usar el mismo comando para ver si los tenes o no instalados , aptitude search  <paquete >

Por cierto ,  seguramente tenias previamente instalado apache2 por eso nada descargo y luego con apt-get lo que si te instalo fue apache-doc (documentacion sobre apache )